Subject: Re: FW: ssthressh

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 29 Jun 2005 13:41:44 -0600

Randall,

On Wed, 29 Jun 2005, Randall Stewart wrote:

> Haresign Lincoln wrote:
> > OK...I think I understand.  Let me go back and look at my algorithms.
> > 
> > I have another question with regards to multihoming but related to
> > congestion.  Let's assume that you have two destination addresses in a
> > multi-homed association and you have experienced no retransmission.
> > When sending data, should you always send over the "primary path"?  Or,
> > everytime you want to send a packet, should you look at all the
> > variables associated with each destination address (cwnd,
> > bytes_in_flight, etc...) and choose the best path at that moment?
> You should use the primary destination.. unless the Upper layer
> as instructed you differently...

Unless you are doing CMT and know what you are doing...

> 
> > 
> > If I'm always sending over the primary, this means that I should only
> > see heartbeats and retransmissions on the secondary short of a complete
> > failure of the primary path.  
> 
> Yep... or if you go idle and have nothing to send the primary
> may also get HB's

Unless you are doing CMT and know what you are doing...

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦